
Foreman - Bug #5673

As a user wishing to manage roles and users, I cannot easily remove a role.

05/12/2014 01:29 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Users, Roles and Permissions   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3922

  

Description

This issues manifests itself in two forms:

1. If I have Role A, being used by User B and I attempt to delete Role A, I am presented with an error message "Role is still in use".

2. If I have Role A being used by 25 users, and I wish to delete Role A, I must find every user using Role A, remove the Role from

each individual user and then delete the role.

Associated revisions

Revision a2c1e8db - 10/07/2016 07:25 AM - Shlomi Zadok

Fixes #5673 - Allow deletion of role with users

History

#1 - 05/12/2014 01:35 PM - Dominic Cleal

- Category set to Users, Roles and Permissions

#2 - 05/12/2014 01:40 PM - Marek Hulán

Just for the record, users could be search by role using filter "role = $name" but that is also inconvenient

#3 - 08/02/2016 03:02 AM - Marek Hulán

- Target version set to 115

#4 - 09/06/2016 10:38 AM - Marek Hulán

- Target version changed from 115 to 1.5.3

#5 - 09/29/2016 07:16 AM - Marek Hulán

- Target version changed from 1.5.3 to 1.5.0

#6 - 09/30/2016 04:27 AM - Marek Hulán

- Assignee set to Shlomi Zadok

#7 - 09/30/2016 07:52 AM - Daniel Lobato Garcia

We have had this problem with Organizations/Locations too, where removing them is a real PITA (find all objects associated), Environments, and

proxies... If we can have a 'generic' approach to this operation that we can apply with any object that deleting it leaves orphans that have to be fixed,

that'd be great

#8 - 10/05/2016 11:25 AM - Shlomi Zadok

@Daniel, I think that this use-case is a whole lot different than with Organizations / Locations.

With Role, it is a simple delete, which removes the user_roles association, and does not leave an orphan

#9 - 10/05/2016 11:26 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3922 added

#10 - 10/07/2016 08:03 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a2c1e8db65c815fd5b8ab93c67c1e4574d39e373.

#11 - 10/10/2016 03:19 AM - Dominic Cleal

- translation missing: en.field_release set to 189
